%define libver		1.0
%define major		0
%define girmajor	1.0

%define libname		%mklibname %{name} %{libver} %{major}
%define develname	%mklibname %{name} -d
%define girname		%mklibname %{name}-gir %{girmajor}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		json-glib
Version:	1.2.8
Release:	%mkrel 1
Summary:	Library for JavaScript Object Notation format
Group:		System/Libraries
License:	LGPLv2+
URL:		https://wiki.gnome.org/JsonGlib
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gobject-2.0) >= 2.37.6
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	gobject-introspection-devel
BuildRequires:	gtk-doc
Requires:	%{libname} = %{version}-%{release}
# Dealing with binaries being split out
Obsoletes:	%{libname} < 1.2.8
Conflicts:	%{libname} < 1.2.8

%description
%{name} is a library providing serialization and deserialization support
for the JavaScript Object Notation (JSON) format.

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries
# Dealing with binaries being split out
Obsoletes:	%{libname} < 1.2.8
Conflicts:	%{libname} < 1.2.8


%description -n %{libname}
%{name} is a library providing serialization and deserialization support
for the JavaScript Object Notation (JSON) format.


%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Provides:	lib%{name}-devel = %version-%release
Provides:	%{name}-devel = %version-%release
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
%configure2_5x	--disable-static
%make 

%install
%makeinstall_std

# we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}-%{libver}

%check
%make check

%files -f %{name}-%{libver}.lang
%{_bindir}/json-glib-format
%{_bindir}/json-glib-validate
%{_mandir}/man1/json-glib-format.1*
%{_mandir}/man1/json-glib-validate.1*

%files -n %{libname}
%{_libdir}/lib%{name}-%{libver}.so.%{major}
%{_libdir}/lib%{name}-%{libver}.so.%{major}.*
%{_libdir}/girepository-1.0/Json-%{girmajor}.typelib

%files -n %{develname}
%doc NEWS ChangeLog
%doc %{_datadir}/gtk-doc/html/%{name}/
%{_libdir}/lib%{name}-%{libver}.so
%{_libdir}/pkgconfig/%{name}-%{libver}.pc
%{_includedir}/%{name}-%{libver}/
%{_datadir}/gir-1.0/Json-%{girmajor}.gir


%changelog
* Thu Apr 05 2018 adrianomorselli <adrianomorselli> 1.2.8-1uplos2018
- Rebase to 1.2.8 based on Mageia packaging
